export interface Todo {
  id: number;
  content: string;
}

export interface Meta {
  totalCount: number;
}

export interface CanvasRoute {
  x: number;
  y: number;
  [proppName: string]: any;
}
export interface CanvasStyle {
  lineWidth?: number;
  strokeStyle?: string;
  lineJoin?: string;
  lineCap?: string;
  step?: number;
}
export interface CanvasData {
  data: CanvasRoute[];
  style?: CanvasStyle;
}
