export const form = [
  {
    fild: 'name',
    col: 'col-6',
    type: 'text',
    bind: {
      filled: true,
      label: '姓名*',
      lazyRules: true,
      hideBottomSpace: true,
      rules: [(val: any) => (val && val.length > 0) || '必填'],
    },
  },
  {
    fild: 'password',
    col: 'col-6',
    type: 'password',
    bind: {
      filled: true,
      label: '密码*',
      lazyRules: true,
      hideBottomSpace: true,
      rules: [(val: any) => (val && val.length > 0) || '必填'],
    },
  },
  {
    fild: 'age',
    col: 'col-6',
    type: 'number',
    bind: {
      filled: true,
      label: '年龄',
    },
  },
  {
    fild: 'country',
    col: 'col-6',
    type: 'select',
    bind: {
      label: '国家*',
      filled: true,
      emitValue: true,
      mapOptions: true,
      options: [
        {
          label: '中国',
          value: 'china',
        },
        {
          label: '俄罗斯',
          value: 'russia',
        },
        {
          label: '法国',
          value: 'france',
        },
      ],
      lazyRules: true,
      hideBottomSpace: true,
      rules: [(val: any) => (val && val.length > 0) || '必填'],
      clearable: true,
    },
  },
  {
    fild: 'quantity',
    col: 'col-6',
    type: 'number',
    bind: {
      filled: true,
      label: '数量',
    },
  },
  {
    solt: 'solt2',
    col: 'col-6',
  },
  {
    fild: 'remark',
    col: 'col-12',
    type: 'textarea',
    bind: {
      filled: true,
      label: '备注',
    },
  },
];
